//
//  SettingCell.m
//  LocationApp_Sample
//
//  Copyright (c) 2015 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import "SettingCell.h"

enum
{
    kCellContentsViewTagTextLabel       = 1,    /* セルコンテンツビューのTextLableのタグ */
    kCellContentsViewTagAccessoryView,          /* セルコンテンツビューのAccessoryViewのタグ */
};

@implementation SettingCell

/* セル内のTitleLabelを返す */
- (UILabel *)titleLabelInCell
{
    UIView *view = [self.contentView viewWithTag:kCellContentsViewTagTextLabel];
    if ([view isKindOfClass:[UILabel class]])
    {
        return (UILabel *)view;
    }
    return nil;
}

/* セル内のSwitchを返す */
- (UISwitch *)switchInCell
{
    UIView *view = [self.contentView viewWithTag:kCellContentsViewTagAccessoryView];
    if ([view isKindOfClass:[UISwitch class]])
    {
        return (UISwitch *)view;
    }
    return nil;
}

/* セル内のPullDownを返す */
- (UIButton *)pullDownCell
{
    UIView *view = [self.contentView viewWithTag:kCellContentsViewTagAccessoryView];
    if ([view isKindOfClass:[UIButton class]])
    {
        return (UIButton *)view;
    }
    return nil;
}

/* セル内のTextFieldを返す */
- (UITextField *)textFieldInCell
{
    UIView *view = [self.contentView viewWithTag:kCellContentsViewTagAccessoryView];
    if ([view isKindOfClass:[UITextField class]])
    {
        return (UITextField *)view;
    }
    return nil;
}

/* AccessoryViewを保持しているかを返す */
- (BOOL)hasAccessoryView:(UIView *)accessoryView
{
    BOOL hasAccessoryView = NO;
    
    if (accessoryView == [self.contentView viewWithTag:kCellContentsViewTagAccessoryView])
    {
        hasAccessoryView = YES;
    }
    return hasAccessoryView;
}

@end
