//
//  SettingViewController.h
//  LocationApp_Sample
//
//  Copyright (c) 2012 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import <UIKit/UIKit.h>
#import "DataManager.h"
#import "SettingCell.h"

@interface SettingViewController : UITableViewController

/* データマネージャー */
@property (strong, nonatomic) DataManager *dataManager;

/* スイッチセルを返す */
- (UITableViewCell *)switchCell:(NSString *)title isOn:(BOOL)isOn;
/* ボタンセルを返す */
- (UITableViewCell *)buttonCell:(NSString *)title;
/* 短いタイトルセル(編集可)を返す */
- (UITableViewCell *)shortTitleTextFieldCell:(NSString *)title text:(NSString *)text keyboardType:(UIKeyboardType)keyboardType;
/* 長いタイトルセル(編集不可)を返す */
- (UITableViewCell *)shortTitleFixedTextFieldCell:(NSString *)title text:(NSString *)text;
/* 短いタイトルセル(編集可)を返す */
- (UITableViewCell *)longTitleTextFieldCell:(NSString *)title text:(NSString *)text keyboardType:(UIKeyboardType)keyboardType;
/* 短いタイトルセル(編集不可)を返す */
- (UITableViewCell *)longTitleFixedTextFieldCell:(NSString *)title text:(NSString *)text;
/* プルダウンセルを返す */
- (UITableViewCell *)pullDownCell:(NSString *)title menu:(UIMenu *)menu selectedMenu:(NSString *)selectedMenu;

/* セルのAccessoryViewに対するIndexPathを返す */
- (NSIndexPath *)indexPathForAccessoryView:(UIView *)accessoryView;

/* int型の値に対するテキストを返す */
- (NSString *)textFromInt:(int)value;
/* float型の値に対するテキストを返す */
- (NSString *)textFromFloat:(float)value;
/* double型の値に対するテキストを返す */
- (NSString *)textFromDouble:(double)value;

/* 文字列アラート表示 */
- (void)showTextAlert:(NSString *)title message:(NSString *)message;

/* 初期化アラート表示 */
typedef void (^OkBlock)(void);
- (void)showResetAlert:(OkBlock)block;

typedef void (^OkReturnValueBlock)(NSString *);
- (void)showInputAlert:(NSString *)title cell:(SettingCell *)cell ok:(OkReturnValueBlock)block;

/* セクション情報のセクションキー */
#define kSectionKey @"Section"
/* セクション情報のセルリストキー */
#define kCellsKey   @"Cells"

@end
